Bug 224647 - IndexOutOfBoundsException: Index: 6, Size: 6
IndexOutOfBoundsException: Index: 6, Size: 6
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: Navigation
7.3
All All
: P2 (vote)
: 7.3
Assigned To: Miloslav Metelka
issues@editor
EXCEPTIONS_REPORT
: 73_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-09 12:15 UTC by Jiri Prox
Modified: 2013-01-25 10:37 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (7.95 KB, text/plain)
2013-01-09 12:15 UTC, Jiri Prox
Details
stacktrace (4.83 KB, text/plain)
2013-01-11 14:26 UTC, Jiri Prox
Details
stacktrace (4.27 KB, text/plain)
2013-01-23 09:04 UTC, Jiri Prox
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Prox 2013-01-09 12:15:02 UTC
Build: NetBeans IDE Dev (Build 20130109-271212e8e2bf)
VM: Java HotSpot(TM) 64-Bit Server VM, 23.6-b04, Java(TM) SE Runtime Environment, 1.7.0_10-b18
OS: Windows 7

User Comments:
jiriprox: IOOBE when deleting part of code




Stacktrace: 
java.lang.IndexOutOfBoundsException: Index: 6, Size: 6
   at java.util.ArrayList.RangeCheck(ArrayList.java:604)
   at java.util.ArrayList.get(ArrayList.java:382)
   at org.netbeans.modules.editor.bookmarks.ui.BookmarksTableModel.getEntry(BookmarksTableModel.java:97)
   at org.netbeans.modules.editor.bookmarks.ui.BookmarksView.notifyTableEntriesChanged(BookmarksView.java:356)
   at org.netbeans.modules.editor.bookmarks.ui.BookmarksView.updateTreeRootContext(BookmarksView.java:325)
   at org.netbeans.modules.editor.bookmarks.ui.BookmarksView.bookmarksChanged(BookmarksView.java:269)
Comment 1 Jiri Prox 2013-01-09 12:15:04 UTC
Created attachment 130039 [details]
stacktrace
Comment 2 Jiri Prox 2013-01-11 14:26:26 UTC
Created attachment 130116 [details]
stacktrace

IOOBE when setting shortcut for the bookmark in the bookmarks table
Comment 3 Jiri Prox 2013-01-23 09:04:42 UTC
Created attachment 130512 [details]
stacktrace

IOOBE when setting name or shortcut for bookmark
Comment 4 Jiri Prox 2013-01-23 09:07:22 UTC
This issue almost blocks assigning shortcuts to bookmarks!
Comment 5 Miloslav Metelka 2013-01-23 14:59:36 UTC
Reproduced and fixed.
http://hg.netbeans.org/jet-main/rev/c2fe0607f522
Comment 6 Jiri Prox 2013-01-23 15:18:45 UTC
verified in trunk
Comment 7 Quality Engineering 2013-01-24 03:01:58 UTC
Integrated into 'main-golden', will be available in build *201301240001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c2fe0607f522
User: Miloslav Metelka <mmetelka@netbeans.org>
Log: #224647 - IndexOutOfBoundsException: Index: 6, Size: 6.
Comment 8 Miloslav Metelka 2013-01-24 08:45:43 UTC
Integrated in release73:
c2fe0607f522 transplanted to 2b452e8587df
Comment 9 Quality Engineering 2013-01-24 12:28:05 UTC
Integrated into 'releases', will be available in build *201301240957* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/2b452e8587df
User: Miloslav Metelka <mmetelka@netbeans.org>
Log: #224647 - IndexOutOfBoundsException: Index: 6, Size: 6.
(transplanted from c2fe0607f522012bf452180de3c3c655fb7ec14f)
Comment 10 Milutin Kristofic 2013-01-24 16:34:39 UTC
I verified code.
Comment 11 Jiri Prox 2013-01-25 10:37:20 UTC
v.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo